Skip to main content
PATCH
/
bank_accounts
/
{id}
Update a bank account
curl --request PATCH \
  --url https://api.endclose.com/v1/bank_accounts/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "currency": "<string>"
}
'
{
  "name": "<string>",
  "id": 123,
  "currency": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

The unique identifier of the bank account

Body

application/json
name
string

Human readable name for the bank account

currency
string

Three-letter ISO 4217 currency code (e.g. USD, EUR)

Response

Bank account updated

name
string
required

Human readable name for the bank account

id
integer

Unique numeric identifier

currency
string | null

Three-letter ISO 4217 currency code (e.g. USD, EUR)

created_at
string<date-time>
updated_at
string<date-time>